/* --- Copyright University of Sussex 1993. All rights reserved. ----------
 > File:			C.x/x/pop/lib/popc_declare.ph
 > Purpose:			Identifier declarations for POPC in this directory
 > Author:			John Gibson, Mar 13 1993
 */

uses-now popxlib;

library_declare_section '$usepop/pop/x/pop/lib/'

section;

weak global constant procedure (
		XBlackPixelOfScreen,
		XDefaultGCOfScreen,
		XDisplayOfScreen,
		XHeightMMOfScreen,
		XHeightOfScreen,
		XPlanesOfScreen,
		XRootWindowOfScreen,
		XWhitePixelOfScreen,
		XWidthMMOfScreen,
		XWidthOfScreen,
		XpmCurrentListItem,
		XpmListItems,
		XpolCurrentListItem,
		XpolListItems,
		XpolListTokenToItem,
		XptAddClientCallback,
		XptCallAllClientCallbacks,
		XptCallClientCallbacks,
		XptCheckActionHookId,
		XptCheckActionList,
		XptCheckActionListAndLength,
		XptCheckAppContext,
		XptCheckAppContextPtr,
		XptCheckCacheRefPtr,
		XptCheckCacheType,
		XptCheckCardinal,
		XptCheckCardinalPtr,
		XptCheckConvertArgList,
		XptCheckConvertArgListAndLength,
		XptCheckCursor,
		XptCheckDevice,
		XptCheckEventMask,
		XptCheckFilePredicate,
		XptCheckGC,
		XptCheckGCMask,
		XptCheckGCValuesPtr,
		XptCheckGrabKind,
		XptCheckInputMask,
		XptCheckIntPtr,
		XptCheckKeyCode,
		XptCheckKeyCodeListPtr,
		XptCheckKeyCodePtr,
		XptCheckKeySym,
		XptCheckKeySymPtr,
		XptCheckKeySymTable,
		XptCheckListPosition,
		XptCheckModifiers,
		XptCheckModifiersPtr,
		XptCheckNTCacheRefList,
		XptCheckNTCallbackList,
		XptCheckNTStringList,
		XptCheckOptionDescList,
		XptCheckOptionDescListAndLength,
		XptCheckPosition,
		XptCheckPositionPtr,
		XptCheckResourceList,
		XptCheckResourceListAndLength,
		XptCheckResourceListPtr,
		XptCheckScreen,
		XptCheckScreenPtr,
		XptCheckStringListAndLength,
		XptCheckSubstitution,
		XptCheckTime,
		XptCheckTimePtr,
		XptCheckValidValuePtr,
		XptCheckValueListAndLength,
		XptCheckValuePtr,
		XptCheckWidgetListAndLength,
		XptCheckWindow,
		XptCheckXEventPtr,
		XptCoerceFilePredicate,
		XptExportAction,
		XptExportActionHook,
		XptExportCallbackCached,
		XptExportCaseProcCached,
		XptExportDestructorCached,
		XptExportEventHandlerCached,
		XptExportInput,
		XptExportKeyProcCached,
		XptExportTimeOut,
		XptExportTypeConverterCached,
		XptExportTypedCallbackCached,
		XptGetAtomName,
		XptInternAtom,
		XptPopImportWidgetClassPtr,
		XptRemoveClientCallback,
		XtAddCallback,
		XtAppAddTimeOut,
		XtAppCreateShell,
		XtAppProcessEvent,
		XtCreateManagedWidget,
		XtInsertEventHandler,
		XtInsertRawEventHandler,
		XtIsRealized,
		XtManageChild,
		XtParent,
		XtPopdown,
		XtPopup,
		XtRealizeWidget,
		XtRemoveCallback,
		XtRemoveEventHandler,
		XtRemoveRawEventHandler,
		XtSetSensitive,
		XtUnmanageChild,
		XtWindow,
		fast_XBlackPixelOfScreen,
		fast_XCellsOfScreen,
		fast_XDefaultColormapOfScreen,
		fast_XDefaultGCOfScreen,
		fast_XDefaultVisualOfScreen,
		fast_XDisplayOfScreen,
		fast_XDoesBackingStore,
		fast_XDoesSaveUnders,
		fast_XEventMaskOfScreen,
		fast_XHeightMMOfScreen,
		fast_XHeightOfScreen,
		fast_XMaxCmapsOfScreen,
		fast_XMinCmapsOfScreen,
		fast_XPlanesOfScreen,
		fast_XRootWindowOfScreen,
		fast_XScreenNumberOfScreen,
		fast_XWhitePixelOfScreen,
		fast_XWidthMMOfScreen,
		fast_XWidthOfScreen,
		fast_XptConvertCase,
		fast_XptDefaultCaseConverter,
		fast_XptDefaultKeyTranslator,
		fast_XptGetActionKeysym,
		fast_XptTranslateKey,
		fast_XptTranslateKeycode,
		fast_XtAddGrab,
		fast_XtAppInitialize,
		fast_XtAppReleaseCacheRefs,
		fast_XtAppSetTypeConverter,
		fast_XtAugmentTranslations,
		fast_XtBuildEventMask,
		fast_XtCallAcceptFocus,
		fast_XtCallConverter,
		fast_XtCallbackReleaseCacheRef,
		fast_XtCallbackReleaseCacheRefList,
		fast_XtClass,
		fast_XtConvertAndStore,
		fast_XtConvertCase,
		fast_XtDatabase,
		fast_XtDisplayStringConversionWarning,
		fast_XtFindFile,
		fast_XtGetActionKeysym,
		fast_XtGetGC,
		fast_XtGetKeysymTable,
		fast_XtGetMultiClickTime,
		fast_XtGrabButton,
		fast_XtGrabKey,
		fast_XtGrabKeyboard,
		fast_XtGrabPointer,
		fast_XtInstallAccelerators,
		fast_XtInstallAllAccelerators,
		fast_XtIsApplicationShell,
		fast_XtIsComposite,
		fast_XtIsConstraint,
		fast_XtIsManaged,
		fast_XtIsObject,
		fast_XtIsOverrideShell,
		fast_XtIsRealized,
		fast_XtIsRectObj,
		fast_XtIsShell,
		fast_XtIsTopLevelShell,
		fast_XtIsTransientShell,
		fast_XtIsVendorShell,
		fast_XtIsWMShell,
		fast_XtKeysymToKeycodeList,
		fast_XtLastTimestampProcessed,
		fast_XtManageChild,
		fast_XtManageChildren,
		fast_XtName,
		fast_XtNameToWidget,
		fast_XtOverrideTranslations,
		fast_XtParent,
		fast_XtParseAcceleratorTable,
		fast_XtParseTranslationTable,
		fast_XtRegisterCaseConverter,
		fast_XtReleaseGC,
		fast_XtRemoveGrab,
		fast_XtResolvePathname,
		fast_XtScreen,
		fast_XtScreenOfObject,
		fast_XtSetKeyTranslator,
		fast_XtSetKeyboardFocus,
		fast_XtSetMappedWhenManaged,
		fast_XtSetMultiClickTime,
		fast_XtSetTypeConverter,
		fast_XtSetWMColormapWindows,
		fast_XtSuperclass,
		fast_XtTranslateCoords,
		fast_XtTranslateKey,
		fast_XtTranslateKeycode,
		fast_XtUngrabButton,
		fast_XtUngrabKey,
		fast_XtUngrabKeyboard,
		fast_XtUngrabPointer,
		fast_XtUninstallTranslations,
		fast_XtUnmanageChild,
		fast_XtUnmanageChildren,
		fast_XtVaAppInitialize,
		fast_XtWindow,
		fast_XtWindowOfObject,
		fast_XtWindowToWidget,
		rc_clip_region,
		rc_drawby,
		rc_drawline,
		rc_drawpoint,
		rc_drawto,
		rc_getxy,
		rc_jumpby,
		rc_jumpto,
		rc_print_at,
		rc_rotate_xy,
		rc_set_coord_frame,
		rc_set_scale,
		rc_setsize,
		rc_shift_frame_by,
		rc_start,
		rcg_dat_rep,
		rcg_def_ax,
		rcg_fun_rep,
		rcg_isrealproc,
		rcg_lin_rep,
		rcg_set_reg,
		rcg_stretch,
		xt_islivewindow,
		$-Xpt$-GetKeysymTableIndexForKeycode,
		$-Xpt$-StackKeysymsForKeyCode,
	);

weak global constant active (
		rc_frame_angle,
		rc_linefunction,
		rc_linestyle,
		rc_linewidth,
	);

weak global constant active:3 (rcg_setline);

weak global constant
		XptGCValuesPtr,
		fast_xpt_screeninfo,
		fast_xt_action,
		fast_xt_appcon,
		fast_xt_appinit,
		fast_xt_callback,
		fast_xt_composite,
		fast_xt_converter,
		fast_xt_display,
		fast_xt_event,
		fast_xt_grab,
		fast_xt_init,
		fast_xt_keyboard,
		fast_xt_popup,
		fast_xt_resource,
		fast_xt_trans,
		fast_xt_util,
		fast_xt_widget,
		fast_xt_widgetclass,
		fast_xt_widgetinfo,
		rc_graphic,
		rcg_utils,
		widgetclass_key,
		xpm_listutils,
		xpol_listutils,
		xpt_atomcache,
		xpt_clientcallback,
		xpt_cursorplane,
		xpt_general,
		xpt_typecheck,
		xt_action,
		xt_callback,
		xt_composite,
		xt_converter,
		xt_display,
		xt_event,
		xt_popup,
		xt_resource,
		xt_trans,
		xt_widget,
		xt_widgetclass,
		xt_widgetinfo,
	;

weak global vars procedure (
		rc_conspoint,
		rc_destpoint,
		rc_transxyin,
		rc_transxyout,
	);

weak global vars
		rc_clipping,
		rc_heading,
		rc_window,
		rc_window_x,
		rc_window_xsize,
		rc_window_y,
		rc_window_ysize,
		rc_xmax,
		rc_xmin,
		rc_xorigin,
		rc_xposition,
		rc_xscale,
		rc_ymax,
		rc_ymin,
		rc_yorigin,
		rc_yposition,
		rc_yscale,
		rcg_newgraph,
		rcg_pt_lf,
		rcg_pt_ls,
		rcg_pt_lw,
		rcg_pt_type,
	;

include xpt_generaltypes.ph;

shadowclass-declare constant procedure XptArgPtr {:XptArg};
shadowclass-declare constant procedure XptArgList [] [nc, prefix nc_] :XptArg[];

shadowclass-declare constant procedure XptConvertArgPtr {:XptConvertArgRec};
shadowclass-declare constant procedure XptConvertArgList {:XptConvertArgRec[]};

shadowclass-declare constant procedure XptCallbackList :XptCallbackRec[];
shadowclass-declare constant procedure XptResourceList :XptResource[];

shadowclass-declare constant procedure XptCardinalPtr {XptCPValue :uint};
shadowclass-declare constant procedure XptIntPtr {XptIPValue :int};

endsection;

end_library_declare_section;
