/* --- Copyright University of Sussex 1992. All rights reserved. ----------
 > File:            C.all/lib/include/itemise.ph
 > Purpose:			Pop-11 itemiser character types
 > Author:          John Gibson, Feb 25 1992
 > Documentation:	REF *ITEMISE
 */

#_TERMIN_IF DEF ITEMISE_INCLUDED

section;

iconstant macro (
		ITM_ALPHA		= 1,	;;; alphabetic
		ITM_DIGIT		= 2,	;;; digit
		ITM_SIGN		= 3,	;;; sign char
		ITM_UNDERSCORE	= 4,	;;; underscore
		ITM_SEPARATOR	= 5,	;;; separator
		ITM_WHITESPACE	= 6,	;;; white space
		ITM_STRQUOTE	= 7,	;;; string quote
		ITM_CHARQUOTE	= 8,	;;; character quote
		ITM_EOLCOMMENT	= 9,	;;; end-of-line comment
		ITM_BRCOMMENT1	= 10,	;;; bracketed comment, 1st char
		ITM_BRCOMMENT2	= 11,	;;; bracketed comment, 2nd char
		ITM_ABC			= 12,	;;; alphabeticiser
	);

iconstant ITEMISE_INCLUDED = true;

endsection;
