/* --- Copyright University of Sussex 1987.  All rights reserved. ---------
 | File:           $usepop/master/C.all/lib/lib/int_parameters.p
 | Purpose:        Define some useful (?) integer constants
 | Author:         John Williams, Jan 19 1987
 | Documentation:  REF *NUMBERS
 | Related Files:  LIB *FLOAT_PARAMETERS
 */

section;

lvars n = 1;

until isbiginteger(n) do n << 1 -> n enduntil;

global constant
	pop_max_int =  (n - 1),
	pop_min_int =  (0 - n),
	;

endsection;
