/* --- Copyright University of Sussex 1995. All rights reserved. ----------
 > File:            C.all/lib/objectclass/auto/set_slots.p
 > Purpose:         Objectclass file
 > Author:          Steve Knight, HP Labs, 1992-1993 (see revisions)
 > Documentation:   HELP OBJECTCLASS
 > Related Files:
 */
compile_mode:pop11 +strict;

uses objectclass;

section;

sysunprotect( "set_slots" );

define global procedure set_slots( item, slot_inits ) with_props 2; lvars item, slot_inits;
	until slot_inits.null do
		lvars ( field, value, slot_inits ) = slot_inits.dest.dest;
		unless #| value -> field( item ) |# == 0 do
			mishap( 'EXTRA RESULTS FROM SLOT INITIALISER', [^field] )
		endunless;
	enduntil
enddefine;

sysprotect( "set_slots" );

endsection;

/* --- Revision History ---------------------------------------------------
--- Robert John Duncan, Nov 21 1995
		Added: uses objectclass
 */
