/* --- Copyright University of Sussex 1993. All rights reserved. ----------
 > File:			C.x/x/ved/src/xved_declare.ph
 > Purpose:			Main include file for xved sources
 > Author:			John Gibson, Sep  9 1992 (see revisions)
 */

#_TERMIN_IF DEF XVED_DECLARE_INCLUDED

compile_mode :pop11 +strict;

section $-xved;

include xpt_coretypes.ph;

lconstant macro (

	CHECK_SCROLLBAR = [if testdef xved_check_scrollbar then
							weakref xved_check_scrollbar()
					   endif],
	CHECK_BUFF_MENU = [if testdef xved_check_buffer_menu then
							weakref xved_check_buffer_menu()
					   endif],
);

define :define_form lconstant XVED_FOR;
	lvars item, decl = "lconstant", lname, idname, params, props;
	if (readitem() ->> idname) == "updaterof" then
		idname -> decl;
		readitem() -> idname
	endif;
	"XVED_FOR_" <> idname -> lname;
	[% until (readitem()->>item) == ";" do item enduntil %] -> params;
	pop11_define_props(idname, idname, decl =="updaterof") -> props;
	[define ^decl ^lname ^^params with_props ^props ; ^^proglist]
														-> proglist;
	pop11_comp_expr();
	unless decl =="updaterof" then
		writeable
		conspair(sys_current_val(lname), sys_use_current_ident(idname) ->)
						:: sys_current_val("xvedidents")
						-> sys_current_val("xvedidents");
	endunless;
	sys_grbg_list(params)
enddefine;

lconstant XVED_DECLARE_INCLUDED = true;

endsection;


/* --- Revision History ---------------------------------------------------
--- John Gibson, Jun  4 1993
		xved*_for changed to XVED_FOR and uses pair to store swapped value
--- John Gibson, Dec 19 1992
		Added CHECK_SCROLLBAR, CHECK_BUFF_MENU
 */
